org.apache.ignite.internal.processors.cache.persistence.wal.io

## Interface FileInput

All Superinterfaces:
  ByteBufferBackedDataInput, DataInput

All Known Implementing Classes:
  SimpleFileInput

    public interface FileInput
    extends ByteBufferBackedDataInput

File input, backed by byte buffer file input. This class allows to read data by chunks from file and then read primitives.

### Nested Class Summary

Nested Classes
`static class` `FileInput.Crc32CheckingFileInput` Checking of CRC32.

### Method Summary

All Methods Instance Methods Abstract Methods
`FileIO` `io()` File I/O.
`long` `position()`
`void` `seek(long pos)`
`FileInput.Crc32CheckingFileInput` `startRead(boolean skipCheck)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.wal.ByteBufferBackedDataInput

`buffer, ensure`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Method Detail

#### io

    FileIO io()

File I/O.

#### seek

    void seek(long pos)
       throws IOException

Parameters:
  `pos` - Position in bytes from file begin.
Throws:
  `IOException`

#### position

    long position()

Returns:
  Position in the stream.

#### startRead

    FileInput.Crc32CheckingFileInput startRead(boolean skipCheck)

Parameters:
  `skipCheck` - If CRC check should be skipped.
Returns:
  autoclosable fileInput, after its closing crc32 will be calculated and compared with saved one

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020